aboutsummaryrefslogtreecommitdiffstats
path: root/main/nfs-utils/nfsmount.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-01 14:50:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-01 14:54:34 +0000
commit2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3 (patch)
tree416072b0f818d3d4e1a7007d714d973149c61e16 /main/nfs-utils/nfsmount.initd
parent5c86f55307beee498cfe5c79678fe492a90e7a1a (diff)
downloadaports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.gz
aports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.bz2
aports-2f83a67e9d5929f0a678cf9d8cc3a33b470a86f3.tar.xz
main/nfs-utils: upgrade to 1.2.2 and use rpcbind
fixes #249
Diffstat (limited to 'main/nfs-utils/nfsmount.initd')
-rw-r--r--main/nfs-utils/nfsmount.initd42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/nfs-utils/nfsmount.initd b/main/nfs-utils/nfsmount.initd
new file mode 100644
index 0000000000..9ae2c520d2
--- /dev/null
+++ b/main/nfs-utils/nfsmount.initd
@@ -0,0 +1,42 @@
+#!/sbin/runscript
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/nfsmount.initd,v 1.13 2009/01/31 22:15:02 vapier Exp $
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+depend() {
+ local myneed=""
+ if [ -e /etc/fstab ] ; then
+ awk '!/^[[:space:]]*#/ && $3 == "nfs4" { exit ($4 ~ /sec=krb/ ? 10 : 20) }' /etc/fstab
+ local ret=$?
+ [ ${ret} -eq 10 ] && myneed="${myneed} rpc.gssd"
+ [ ${ret} -eq 20 ] && myneed="${myneed} rpc.idmapd"
+ fi
+ config /etc/fstab
+ need net portmap rpc.statd ${myneed}
+ use ypbind dns rpc.idmapd rpc.gssd
+}
+
+start() {
+ if [ -x /usr/sbin/sm-notify ] ; then
+ ebegin "Starting NFS sm-notify"
+ /usr/sbin/sm-notify ${OPTS_SMNOTIFY}
+ eend $?
+ fi
+
+ # Make sure nfs support is loaded in the kernel #64709
+ if [ -e /proc/modules ] && ! grep -qs 'nfs$' /proc/filesystems ; then
+ modprobe -q nfs
+ fi
+
+ ebegin "Mounting NFS filesystems"
+ mount -a -t nfs,nfs4
+ eend $?
+}
+
+stop() {
+ ebegin "Unmounting NFS filesystems"
+ umount -a -t nfs,nfs4
+ eend $?
+}